module.exports = {
  /**
   * 初始化环境
   */
  get init() {
    return require('bin/init')
  },

  /**
   * 创建组件
   */
  get create() {
    return require('bin/create')
  },

  /**
   * 编译构建
   */
  get build() {
    return require('bin/build')
  },

  /**
   * 开发调试
   */
  get serve() {
    return require('bin/serve')
  },

  /**
   * 发布组件
   */
  get publish() {
    return require('bin/publish')
  },

  /**
   * 生成文档
   */
  get docs() {
    return require('bin/docs')
  }
}
