const shell = require('shelljs')
const template = 'component'

/**
 * 从gitlab拉取相应脚手架模板
 * @param {String} path 创建项目名称（路径）
 * @returns {Promise}
 */
module.exports = (path) => {
  return new Promise((resolve, reject) => {
    try {
      const remote = 'git@192.168.10.185:public-lib/cli-template.git'
      shell.config.fatal = true
      // shell.mkdir(path)
      shell.cd(path)
      shell.exec(`git init && git remote add -f origin ${remote} && git config core.sparsecheckout true && echo ${template} >> .git/info/sparse-checkout && git pull origin master`, { silent: true })
      shell.mv('-f', [`${template}/*`, `${template}/.*`], './') // 这里有个坑，只有template/*不能捕获.开头文件，如.eslintrc.js
      shell.rm('-rf', '.git')
      shell.rm('-rf', template)
      resolve()
    } catch (err) {
      reject(err)
    }
  })
}
