const execa = require('execa')
const logger = require('./logger')

async function runCommand(command, args = [], options = {}) {
  try {
    await execa(command, args, Object.assign({ stdio: 'inherit', shell: true }, options))
  } catch (err) {
    logger.error(err)
    process.exit(2)
  }
}

module.exports = runCommand
